toc:
  - file: index.md
  - file: painless/painless.md
    children:
      - file: painless/brief-painless-walkthrough.md
      - file: painless/use-painless-scripts-in-runtime-fields.md
      - file: painless/using-datetime-in-painless.md
      - file: painless/how-painless-dispatches-function.md
      - file: painless/painless-debugging.md
      - file: painless/painless-api-examples.md
      - file: painless/using-ingest-processors-in-painless.md
      - file: painless/painless-language-specification.md
        children:
          - file: painless/painless-comments.md
          - file: painless/painless-keywords.md
          - file: painless/painless-literals.md
          - file: painless/painless-identifiers.md
          - file: painless/painless-variables.md
          - file: painless/painless-types.md
          - file: painless/painless-casting.md
          - file: painless/painless-operators.md
          - file: painless/painless-operators-general.md
          - file: painless/painless-operators-numeric.md
          - file: painless/painless-operators-boolean.md
          - file: painless/painless-operators-reference.md
          - file: painless/painless-operators-array.md
          - file: painless/painless-statements.md
          - file: painless/painless-scripts.md
          - file: painless/painless-functions.md
          - file: painless/painless-lambdas.md
          - file: painless/painless-regexes.md
      - file: painless/painless-contexts.md
        children:
          - file: painless/painless-context-examples.md
          - file: painless/painless-runtime-fields-context.md
          - file: painless/painless-ingest-processor-context.md
          - file: painless/painless-update-context.md
          - file: painless/painless-update-by-query-context.md
          - file: painless/painless-reindex-context.md
          - file: painless/painless-sort-context.md
          - file: painless/painless-similarity-context.md
          - file: painless/painless-weight-context.md
          - file: painless/painless-score-context.md
          - file: painless/painless-field-context.md
          - file: painless/painless-filter-context.md
          - file: painless/painless-min-should-match-context.md
          - file: painless/painless-metric-agg-init-context.md
          - file: painless/painless-metric-agg-map-context.md
          - file: painless/painless-metric-agg-combine-context.md
          - file: painless/painless-metric-agg-reduce-context.md
          - file: painless/painless-bucket-script-agg-context.md
          - file: painless/painless-bucket-selector-agg-context.md
          - file: painless/painless-analysis-predicate-context.md
          - file: painless/painless-watcher-condition-context.md
          - file: painless/painless-watcher-transform-context.md